/*
 * 01/09/2002 - 20:43:57
 *
 * JDictionaryResources.java -
 * Copyright (C) 2002 Csaba Kertsz
 * kcsaba@jdictionary.info
 * www.jdictionary.info
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


package info.jdictionary.resource;

import java.util.*;

public class JDictionaryResources extends ListResourceBundle {

    public Object[][] getContents() {
        return contents;
    }


    static final Object[][] contents = {

        {"InfoServerURL", "http://jdictionary.sourceforge.net/info"},
        {"SavedDirName", ".jdictionary"},
        {"PluginInfoSheetFileName", "InfoSheet"},
        {"SavedPrefsFileName", "JDictionarySavedPrefs.obj"},
        {"PluginDirName", "Plugins"},
        {"ResourcesDirName" , "resources"},
        {"IconPackDirName" , "iconpack"},
        {"ImagesDirName", "images"},
        {"LatestFile", "LATEST"},  // On the infoserver
        {"InfoSheetsFile", "DownloadablePlugins"}, // On the infoserver
        {"InfoAboutNewVersionFile", "InfoAboutNewVersion.png"},  // On the infoserver
        {"JDictionaryName", "jDictionary"},
        {"JDictionaryAuthor", "Csaba Kertsz"},
        {"JDictionaryVersion", "1.4"},
        {"Year", " (c) 2002"},
        {"Dictionaries", "Dictionaries (Local Disk)"},
        {"Download&Install", "Download & Install Plugins"},
        {"ActivateDeactivate", "Activate/Deactivate Plugins"},
        {"Rescan", "Rescan Plugins"},
        {"PluginsMenu", "Plugins"},
        {"JDictionaryMenu", "jDictionary"},
        {"AboutMenuItem", "About"},
        {"ExitMenuItem", "Exit"},
        {"Dictionaries", "Dictionaries (Local Disk)"},
        {"KB", "kB"},
        {"KB of", "kB of"},
        {"AvailPlugins", "Available plugins on the pluginserver"},
        {"Tips", "Tips & Info"},
        {"DownloadTip1", "You can start more than one download process at a time"},
        {"DownloadTip2", "While downloading, you can use the plugins already installed"},
        {"DownloadTip3", "If your browser can reach the network you can download plugins from http://jdictionary.info"},
        {"PossibleProblems", "Network error! Possible problems:"},
        {"Problem1", "     - Check whether you are online and try again."},
        {"Problem2/1", "     - You are behind proxy. Start jDictionary like this: (future versions will support proxy)"},
        {"Problem2/2", "        java -jar -Dhttp.proxyHost=<proxy_hostname> -Dhttp.proxyPort=<proxy_port> jdictionary.jar"},
        {"Problem3", "     - Maybe the pluginserver overloaded. Try again a bit later."},
        {"DownloadingInfo", "Downloading info from pluginserver..."},
        {"DownloadingFile", "Downloading file: "},
        {"AvailPluginsPref", "There are "},
        {"AvailPluginsPostf", " plugins available on the pluginserver"},
        {"JDict", "JDict. "},
        {"Needed", " Needed"},
        {"PleseUpgr", "For this plugin please upgrade your JDictionary to version "},
        {"NetError", "Network error! Check the 'Tips & Info' below for possible problems"},
        {"StopDownloading", "Stop"},
        {"AlreadyInstalled", "Already installed"},
        {"YouCanDowngrade", "You can downgrade"},
        {"NewJDictionaryAvailable", "New JDictionary available"},
        {"NewerAvailable", "Newer Available"},
        {"InfoAboutNewVersion", "Please wait while downloading the info about new JDictionary version..."},
        {"DownInst", "Download & Install"},
        {"NotInstalled", "Not installed yet"},
        {"YouHaveNewerVersion", "You have newer!"},
        {"Installing", "Installing dictionary plugin: "},
        {"ReadyToUse", " is ready to use!"},
        {"ErrorAtInstall", "Error occurred while installing "},
        {"ErrorAtDownload", "An error occurred while downloading "},
        {"DownStopPref", "Downloading "},
        {"DownStopPost", " has stopped"},
        {"PluginVersion", "Version: "},
        {"PluginAuthor", "Author: "},
        {"PluginName", "Name: "},
        {"PluginSize", "Size: "},
        {"PluginDescription", "Description: "},
        {"AvailablePlugins", "Available plugins on your computer"},
        {"NoPlugins", "There Are No Plugins Installed"},
        {"Uninstall", "Uninstall"},
        {"Active", "Active"},
        {"Deactivated", "Deactivated"},
        {"Activate", "Activate!"},
        {"Deactivate", "Deactivate!"},
        {"InstalledButDeactivated", "Installed but deactivated"}
        };
}

